# capsfilter

The element does not modify data as such, but can enforce limitations on the data format.

## Example launch line

     gst-launch-1.0 videotestsrc ! capsfilter caps=video/x-raw,format=GRAY8 ! videoconvert ! autovideosink

Limits acceptable video from videotestsrc to be grayscale. Equivalent to

     gst-launch-1.0 videotestsrc ! video/x-raw,format=GRAY8 ! videoconvert ! autovideosink

which is a short notation for the capsfilter element.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──capsfilter

## Factory details

Authors: – David Schleef

Classification: – `Generic`

Rank – none

Plugin – coreelements

Package – GStreamer

## Pad Templates

### `sink`

    ANY

Presence – always

Direction – sink

Object type – GstPad

### `src`

    ANY

Presence – always

Direction – src

Object type – GstPad

## Properties

### caps

    “caps” GstCaps *

Restrict the possible allowed capabilities (NULL means ANY). Setting this property takes a reference to the supplied GstCaps object.

Flags : Read / Write

Default value :

    ANY

### caps-change-mode

    “caps-change-mode” Caps-filter-caps-change-mode *

Filter caps change behaviour

Flags : Read / Write

Default value : immediate (0)

## Named constants

### Caps-filter-caps-change-mode

Filter caps change behaviour

#### Members

`immediate` (0) – Only accept the current filter caps
`delayed` (1) – Temporarily accept previous filter caps

The results of the search are